<?xml version="1.0" encoding="ISO-8859-1"?>
<document>
<head>
    <name>Using</name>
    <author>Matt Albrecht</author>
    <doc-version>$Date: 2003/05/04 06:40:12 $</doc-version>
</head>
<body>

<section>Ant Tasks</section>

<P>
The following is a listing of all ant tasks contained in this package.
</P>
<!--
<anttask name="coveragecounter">
    <description>
    Counts class file line numbers and instructions, and writes them to a
    CSV (comma-separated spreadsheet) file.
    </description>
    <ant-nested-element name="classpath">
        <description>
        The <ant-link href="using.html#path">Path</ant-link> to use for finding
        the class files for the coverage information.  Elements in the
        path may be either zipped files (includes war, ear, and jar files),
        or directories.
        </description>
    </ant-nested-element>
    <ant-nested-element name="filtertype">
        <description>
        Filters the collection of discovered classes from the classpath,
        to restrict the classes that are put into the CSV file.
        </description>
        <ant-nested-element name="includes">
            <description>
            Specifies a restricted regular expression of class names,
            packages, or method names, to be included in the output.
            If any <tt>includes</tt> are specified in the filter, then
            only those classes which are in the includes will be used.
            </description>
            <ant-parameter>
                <attribute>value</attribute>
                <description>restricted regular expression</description>
                <required>No</required>
            </ant-parameter>
        </ant-nested-element>
        <ant-nested-element name="excludes">
            <description>
            Specifies a restricted regular expression of class names,
            packages, or method names, to be excluded from the output.
            If any <tt>excludes</tt> are specified in the filter, then
            classes which match the expressions will be excluded from
            the output.
            </description>
            <ant-param>
                <attribute>value</attribute>
                <description>restricted regular expression</description>
                <required>No</required>
            </ant-param>
        </ant-nested-element>
    </ant-nested-element>
    
    <ant-parameter>
        <attribute>classpathref</attribute>
        <description>A reference to an externally defined classpath.
        </description>
        <required>No</required>
    </ant-parameter>
    <ant-parameter>
        <attribute>file</attribute>
        <description>The name of the file to send the CSV output to.
        </description>
        <required>Yes</required>
    </ant-parameter>
    
    <ant-example>
        <source>
&lt;taskdef name="coveragecounter"
    classname="net.sourceforge.groboutils.testing.codecoverage.v1.ant.CounterTask" &gt;
    &lt;classpath&gt;
        &lt;pathelement location="${output.jar-name}" /&gt;
        &lt;pathelement location="${libs.bcel}" /&gt;
        &lt;pathelement location="${libs.ant}" /&gt;
        &lt;pathelement path="${java.class.path}" /&gt;
    &lt;/classpath&gt;
&lt;/taskdef&gt;
        </source>
        <description>
        Defines the coveragecounter task.
        </description>
    </ant-example>
    <ant-example>
        <source>
&lt;coveragecounter file="${dirs.test-output}/coverage-counts.csv">
    &lt;filtertype&gt;
        &lt;includes value="net.sourceforge.groboutils.*" /&gt;
        &lt;excludes value="*.tests.*" /&gt;
    &lt;/filtertype&gt;
    &lt;classpath&gt;
        &lt;pathelement location="${output.jar-name}" /&gt;
    &lt;/classpath&gt;
&lt;/coveragecounter&gt;
        </source>
        <description>
        Captures the source line and instructions for every class inside the
        specified jar file (as defined by the Ant property
        <tt>output.jar-name</tt>), whose package name starts with
        "net.sourceforge.groboutils", but is not in the sub-package "test".
        The output is sent to the file
        <tt>${dirs.test-output}/coverage-counts.csv</tt>.
        </description>
    </ant-example>
</anttask>
-->
</body>
</document>

